%define anolis_release 1
# what it's called on pypi
%global srcname PyJWT
# what it's imported as
%global libname jwt
# name of egg info directory
%global eggname %{srcname}
# package name fragment
%global pkgname %{libname}

%global common_description %{expand:
A Python implementation of JSON Web Token draft 01. This library provides a
means of representing signed content using JSON data structures, including
claims to be transferred between two parties encoded as digitally signed and
encrypted JSON objects.}


Name:           python-%{pkgname}
Version:        2.3.0
Release: %{anolis_release}%{dist}
Summary:        JSON Web Token implementation in Python
License:        MIT
URL:            https://github.com/jpadilla/pyjwt
Source0:        %pypi_source
BuildArch:      noarch


%description %{common_description}


%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-cryptography >= 1.4.0
BuildRequires:  python%{python3_pkgversion}-pytest

%{?python_extras_subpkg:Recommends: python%{python3_pkgversion}-%{pkgname}+crypto}
%{!?python_extras_subpkg:Requires:  python%{python3_pkgversion}-cryptography >= 1.4.0}

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}


%description -n python%{python3_pkgversion}-%{pkgname} %{common_description}

%{?python_extras_subpkg:%python_extras_subpkg -n python%{python3_pkgversion}-%{pkgname} -i %{python3_sitelib}/%{eggname}-%{version}-py%{python3_version}.egg-info crypto}


%prep
%autosetup -n %{srcname}-%{version}
rm -rf %{eggname}.egg-info


%build
%py3_build


%install
%py3_install


%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} --verbose tests


%files -n python%{python3_pkgversion}-%{pkgname}
%doc README.rst AUTHORS.rst
%license LICENSE
%{python3_sitelib}/%{libname}
# %{python3_sitelib}/%{eggname}-%{version}-py%{python3_version}.egg-info


%changelog 
* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 2.3.0-1
- Init package from upstream v2.3.0
